diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-06 17:34:49 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:38 +0200 |
commit | df0beae1eb1318869d51a064aec8fdd401877cbf (patch) | |
tree | 94f2224056162eadbb3d6b640e32f56d3f405cbf /tests/cp/acl | |
parent | c840cd4334c086f5ce4d9144d9fac75643824a38 (diff) | |
download | coreutils-df0beae1eb1318869d51a064aec8fdd401877cbf.tar.xz |
Adjust chgrp, chmod, chown, cp tests to use test-lib.sh.
* tests/check.mk: Also define abs_top_builddir.
Diffstat (limited to 'tests/cp/acl')
-rwxr-xr-x | tests/cp/acl | 37 |
1 files changed, 10 insertions, 27 deletions
diff --git a/tests/cp/acl b/tests/cp/acl index f1ca4a8d6..d28537890 100755 --- a/tests/cp/acl +++ b/tests/cp/acl @@ -2,7 +2,7 @@ # copy files/directories across file system boundaries # and make sure acls are preserved appropriately -# Copyright (C) 2005, 2006 Free Software Foundation, Inc. +# Copyright (C) 2005-2007 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by @@ -35,22 +35,10 @@ if test "$VERBOSE" = yes; then setfacl --version fi -pwd=`pwd` -t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0 -trap '(exit $?); exit $?' 1 2 13 15 +. $srcdir/../test-lib.sh -framework_failure=0 -mkdir -p $tmp || framework_failure=1 -cd $tmp || framework_failure=1 - -mkdir -p a b || framework_failure=1 -touch a/file || framework_failure=1 - -if test $framework_failure = 1; then - echo 'failure in testing framework' - (exit 1); exit 1 -fi +mkdir -p a b || framework_failure +touch a/file || framework_failure skip=no # Ensure that setfacl and getfacl work on this file system. @@ -68,21 +56,16 @@ test $skip = yes && # copy a file without preserving permissions cp a/file b/ || fail=1 -acl2=`cd b && getfacl file` || framework_failure=1 +acl2=`cd b && getfacl file` || framework_failure test "$acl1" = "$acl2" || fail=1 -rm a/file || framework_failure=1 +rm a/file || framework_failure # copy a file, preserving permissions -touch a/file || framework_failure=1 -setfacl -m user:bin:rw a/file || framework_failure=1 -acl1=`cd a && getfacl file` || framework_failure=1 +touch a/file || framework_failure +setfacl -m user:bin:rw a/file || framework_failure +acl1=`cd a && getfacl file` || framework_failure cp -p a/file b/ || fail=1 -acl2=`cd b && getfacl file` || framework_failure=1 +acl2=`cd b && getfacl file` || framework_failure test "$acl1" = "$acl2" || fail=1 -if test $framework_failure = 1; then - echo 'failure in testing framework' - (exit 1); exit 1 -fi - exit $fail |